%define upstream_name    Scalar-Does
%define upstream_version 0.202

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Additional constants for Scalar::Does, inspired by the built-in Moose type constraints
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Scalar/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter::Tiny) >= 0.26.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.170.0
BuildRequires: perl(Scalar::Util) >= 1.240.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(Test::Requires) >= 0.60.0
BuildRequires: perl(Type::Tiny) >= 0.4.0
BuildRequires: perl(URI)
BuildRequires: perl(URI::file)
BuildRequires: perl(lexical::underscore)
BuildRequires: perl(namespace::clean) >= 0.190.0
BuildArch:  noarch

Obsoletes:  perl-IO-Detect < 0.5.0-4

%description
It has long been noted that Perl would benefit from a 'does()' built-in. A
check that 'ref($thing) eq 'ARRAY'' doesn't allow you to accept an object
that uses overloading to provide an array-like interface.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make


%install
%makeinstall_std

%files
%doc CONTRIBUTING COPYRIGHT CREDITS Changes INSTALL LICENSE META.json META.yml MYMETA.yml NEWS README SIGNATURE TODO
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.202.0-8pclos2017
- rebuild against updates

